GDCM 3.2.1

Public Member Functions | Protected Member Functions | List of all members
gdcm::Coder Class Referenceabstract

Coder. More...

`#include <gdcmCoder.h>`

Inheritance diagram for gdcm::Coder:
[legend]

## Public Member Functions
virtual | ~Coder ()=default
virtual bool | CanCode (TransferSyntax const &) const =0
| Return whether this coder support this transfer syntax (can code it)
virtual bool | Code (DataElement const &in_, DataElement &out_)
| Code.

## Protected Member Functions
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)

## Detailed Description

Coder.

## Constructor & Destructor Documentation

## ◆ ~Coder()

virtual gdcm::Coder::~Coder | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ CanCode()

virtual bool gdcm::Coder::CanCode | ( | TransferSyntax const & |  | ) | const
| pure virtual

Return whether this coder support this transfer syntax (can code it)

Implemented in gdcm::AudioCodec, gdcm::ImageCodec, gdcm::JPEG2000Codec, gdcm::JPEGCodec, gdcm::JPEGLSCodec, gdcm::KAKADUCodec, gdcm::PDFCodec, gdcm::PGXCodec, gdcm::PNMCodec, gdcm::PVRGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

## ◆ Code()

virtual bool gdcm::Coder::Code | ( | DataElement const & | in_,
|  | DataElement & | out_ )
| inline virtual

Code.

Reimplemented in gdcm::JPEG2000Codec, gdcm::JPEGCodec, gdcm::JPEGLSCodec, gdcm::KAKADUCodec, gdcm::PVRGCodec, gdcm::RAWCodec, and gdcm::RLECodec.

## ◆ InternalCode()

virtual bool gdcm::Coder::InternalCode | ( | const char * | bv,
|  | unsigned long | len,
|  | std::ostream & | os )
| inline protected virtual

Reimplemented in gdcm::JPEG12Codec, gdcm::JPEG16Codec, and gdcm::JPEG8Codec.

The documentation for this class was generated from the following file:

- gdcmCoder.h